#!/usr/bin/env python
from abromics_galaxy_json_extractor.interfaces import (
    AbromicsResultIterator,
)

required_metadata = {
    "analysis_software_version": "abricate version",
    "hid": "historic ID for abricate file from galaxy",
    "reference_database_version": "DB version",
}

"""multiqc tool parser
Extract html report from MultiQC
Args:
AbromicsResultIterator (abc.ABCMeta): abstract class to the parser
"""


class MultiqcIterator(AbromicsResultIterator):
    def __init__(self, source, metadata):
        metadata["analysis_software_name"] = "multiqc"
        self.metadata = metadata
        super().__init__(source, self.metadata)
        self.abromics_results["tool_has_database"] = False
        self.parse()

    def parse(self):
        """Keep the html report informations"""
        self._check_input_files(self.source)
